Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class AutoFolderingAction

All Known Implementing Classes:
  AutoFolderingActionAdapter, DateAutoFolderingAction, SessionAutoFolderingAction, TestAutoFolderingAction

    public interface class AutoFolderingAction

Interface to be implemented by auto foldering strategies.

Method Summary
`Folder` | `getLeafFolder(Folder rootFolder, PublicObjectDefinition def)` Returns the leaf folder where the new object should be foldered, relative to the specified root folder.
`void` | `initialize(AutoFolderingActionSpecification spec)` Initialize this instance.

Method Detail

### initialize

    void initialize(AutoFolderingActionSpecification spec)
                    throws IfsException

  Description copied from interface: `AutoFolderingAction`
  Initialize this instance.

  Called immediately after construction (via the default constructor) and used so that the implementation can initialize session-independent state. This instance may be subsequently used concurrently by multiple threads and sessions. A session can be retrieved from the specification object, but it must not be cached. The specification also has the implementation and instance specific parameters which should be cached in a session independent way.

  Parameters:
    `spec` - The specification for a given implementation.
  Throws:
    `IfsException` - if the operation fails.

### getLeafFolder

    Folder getLeafFolder(Folder rootFolder,
                         PublicObjectDefinition def)
                         throws IfsException

  Description copied from interface: `AutoFolderingAction`
  Returns the leaf folder where the new object should be foldered, relative to the specified root folder. The returned leaf folder could be a newly created folder or an existing folder, depending on the implementation.

  Parameters:
    `rootFolder` - The root of the folder tree.
    `def` - The definition of the object about to be created.
  Returns:
    The leaf folder.
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD